Index: src/misc/variables.c
===================================================================
--- src/misc/variables.c	(revision 24984)
+++ src/misc/variables.c	(working copy)
@@ -1110,6 +1110,8 @@
                 case 1: /* allow */
                     break;
                 case 2: /* prompt */
+                    if( p_config->b_explicit )
+                        break;
                 {
                     char description[256];
                     snprintf(description, sizeof(description), _("playlist item is making use of the following unsafe option '%s', which may be harmful if used in a malicious way, authorize it ?"), psz_name);
Index: src/config/chain.c
===================================================================
--- src/config/chain.c	(revision 24984)
+++ src/config/chain.c	(working copy)
@@ -331,6 +331,8 @@
                     case 1: /* allow */
                         break;
                     case 2: /* prompt */
+                        if( p_conf->b_explicit )
+                            break;
                     {
                         char description[256];
                         snprintf(description, sizeof(description), _("playlist item is making use of the following unsafe option '%s', which may be harmful if used in a malicious way, authorize it ?"), psz_name);
Index: src/config/cmdline.c
===================================================================
--- src/config/cmdline.c	(revision 24984)
+++ src/config/cmdline.c	(working copy)
@@ -278,6 +278,9 @@
             p_conf = config_FindConfig( p_this, psz_name );
             if( p_conf )
             {
+                p_conf->b_explicit = VLC_TRUE;
+
                 /* Check if the option is deprecated */
                 if( p_conf->b_removed )
                 {
@@ -340,6 +343,9 @@
         /* A short option has been recognized */
         if( pp_shortopts[i_cmd] != NULL )
         {
+            pp_shortopts[i_cmd]->b_explicit = VLC_TRUE;
+
             switch( pp_shortopts[i_cmd]->i_type )
             {
                 case CONFIG_ITEM_STRING:
Index: include/vlc_configuration.h
===================================================================
--- include/vlc_configuration.h	(revision 24984)
+++ include/vlc_configuration.h	(working copy)
@@ -192,6 +192,7 @@
     vlc_bool_t   b_unsaveable;                    /* Config should be saved */
 
     vlc_bool_t   b_safe;
+    vlc_bool_t   b_explicit;    /* Explicitely requested on command line */
 };
 
 /*****************************************************************************
